import asyncio
import datetime

from anon import Bot
from anon.event.event import Event
from anon.plugin import PluginManager, Plugin
from anon.event import MessageEvent


class AnonPlugin(Plugin):
    async def on_load(self):
        await Bot().send_private_message(782981223, f"Anon Started at: {datetime.datetime.now()}")

    async def on_event(self, event: MessageEvent):
        if event.raw == 'anon':
            await event.reply('は？')


PluginManager().register_plugin(AnonPlugin([MessageEvent]))
